Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007382 [DCSS] Bug Report crash always 2013-07-22 19:22 2013-09-27 14:55
Reporter XuaXua View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007382: Raging Bat Crash
Description That is the new name of my band.

Wear amulet of rage.
Draw card to become bat
a-f for evoke rage
crash
Additional Information
Tags amusement
Attached Files txt file icon crash-XuaXua-20130722-130722.txt [^] (42,848 bytes) 2013-07-25 15:32 [Show Content]
txt file icon crash-XuaXua-20130722-130557.txt [^] (43,913 bytes) 2013-07-25 15:33 [Show Content]
? file icon XuaXua.cs [^] (53,275 bytes) 2013-07-25 15:33
? file icon 0001-Correctly-prompt-when-voluntarily-berserking.patch [^] (2,384 bytes) 2013-08-10 04:30 [Show Content]

- Relationships
related to 0007436resolvedMarvinPA Remove outdated code relating to butchering 

-  Notes
(0023557)
Grandiloquent Gentleman (reporter)
2013-07-25 10:33

I can't reproduce this with either &^p h a h nor &c meta a h are you still getting the crash.
(0023558)
XuaXua (reporter)
2013-07-25 15:34

uploaded relevant files v 2488
(0023559)
Grandiloquent Gentleman (reporter)
2013-07-25 15:45

Um, those crashes are OpEE and that save is an OpTr...
(0023560)
BlackSheep (reporter)
2013-07-25 20:00

He said he's transforming via decks, so his race/background isn't critical. (His save has neither deck nor amulet, however.)

I just tried this in both 0.12 and 0.13 by starting a HuFi, generating an amulet of rage and a deck of changes, and flipping cards until I transformed. I didn't see any crashes in 0.12, but in 0.13, it crashed when I tried to berserk as either a bat or a spider.

Inducing a change via &c metamorph did not crash on berserk.
(0023562)
XuaXua (reporter)
2013-07-26 00:28

The crash files were legit; the .cs was a crapshoot. Ignore the .cs.
(0023563)
Grandiloquent Gentleman (reporter)
2013-07-26 07:08
edited on: 2013-07-26 07:29

It appears to be crashing by trying to describe your melded wielded deck.

Fix by changing

if (wpn && wpn->defined() && (!is_melee_weapon(*wpn)
                                  || needs_handle_warning(*wpn, OPER_ATTACK))
        || you.attribute[ATTR_WEAPON_SWAP_INTERRUPTED])

in player.cc line 917-919 to:

if (form_can_wield(you.from) && wpn && wpn->defined() &&
        (!is_melee_weapon(*wpn) || needs_handle_warning(*wpn, OPER_ATTACK)
        || you.attribute[ATTR_WEAPON_SWAP_INTERRUPTED]))
with the possible #include of the appropriate header

(0023566)
BlackSheep (reporter)
2013-07-26 16:30

Decks don't meld in bat or spider form, they "fall away".
(0023572)
Grandiloquent Gentleman (reporter)
2013-07-27 03:45

Well OK, It appears to be crashing by trying to describe your fallen away not-exactly-wielded deck.
(0023575)
XuaXua (reporter)
2013-07-27 08:36

Having your deck fall away sounds like a personal problem.
(0023694)
Zannick (reporter)
2013-08-10 04:30

Here's a patch to prompt correctly for forms and for wielding nothing.
(0023695)
neil (administrator)
2013-08-10 05:16

The crash is fixed in trunk (0.13-a0-2655-gb2bc1a6), thanks! I made the minimal changes necessary to fix the bug I introduced in 0.13-a0-1687-gbb2f8db. I wouldn't want to prompt in all non-wielding forms because, why shouldn't a dragon berserk? On the other hand, it's questionable for many of the bad forms.

The situation can be improved further, but probably that should wait on removing ATTR_WEAPON_SWAP_INTERRUPTED (0007436), which would solve some of the problems.
(0024098)
XuaXua (reporter)
2013-09-27 14:55

Don't know if you wanted this still open for that last comment, but since it's in my bucket, it's closed.

- Issue History
Date Modified Username Field Change
2013-07-22 19:22 XuaXua New Issue
2013-07-23 11:05 chris Tag Attached: amusement
2013-07-25 10:33 Grandiloquent Gentleman Note Added: 0023557
2013-07-25 15:32 XuaXua File Added: crash-XuaXua-20130722-130722.txt
2013-07-25 15:33 XuaXua File Added: crash-XuaXua-20130722-130557.txt
2013-07-25 15:33 XuaXua File Added: XuaXua.cs
2013-07-25 15:34 XuaXua Note Added: 0023558
2013-07-25 15:45 Grandiloquent Gentleman Note Added: 0023559
2013-07-25 20:00 BlackSheep Note Added: 0023560
2013-07-26 00:28 XuaXua Note Added: 0023562
2013-07-26 07:08 Grandiloquent Gentleman Note Added: 0023563
2013-07-26 07:15 Grandiloquent Gentleman Note Edited: 0023563
2013-07-26 07:29 Grandiloquent Gentleman Note Edited: 0023563
2013-07-26 16:30 BlackSheep Note Added: 0023566
2013-07-27 03:45 Grandiloquent Gentleman Note Added: 0023572
2013-07-27 08:36 XuaXua Note Added: 0023575
2013-08-10 04:30 Zannick File Added: 0001-Correctly-prompt-when-voluntarily-berserking.patch
2013-08-10 04:30 Zannick Note Added: 0023694
2013-08-10 05:16 neil Note Added: 0023695
2013-08-10 05:16 neil Status new => resolved
2013-08-10 05:16 neil Fixed in Branch => 0.13 development branch
2013-08-10 05:16 neil Resolution open => done
2013-08-10 05:16 neil Assigned To => neil
2013-08-10 05:16 neil Relationship added related to 0007436
2013-09-27 14:55 XuaXua Note Added: 0024098
2013-09-27 14:55 XuaXua Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker